using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;


namespace TEAMModelOS.SDK.Models
{
    /// <summary>
    /// 课程
    /// </summary>    
    public class CourseManagement : CosmosEntity
    {
        public CourseManagement()
        {
            pk = "CourseManagement";
            courses = new List<CourseSimple>();
            teacher = new Teachers();
        }
        
        public string name { get; set; }
        public List<CourseSimple> courses { get; set; }
        public Teachers teacher { get; set; }
        public string scope { get; set; }
        
    }

    public class CourseSimple {
        public CourseSimple() {
            course = new Courses();
            teachers = new List<Teachers>();
        }
        public Courses course { get; set; }
        public List<Teachers> teachers { get; set; }
    }
    public class Courses { 
        public string id { get; set; }
        public string name { get; set; }
        public string scope { get; set; }
        public string notice { get; set; }

    }
}
